Subject: Re: casting, execute, name spaces

From: [email-masked] (Paul M. Aoki)
Date: Mon, 26 Jul 93 12:20:31 -0700

[email-masked] writes:
> > EG.denom::float8
> That was my first thought but I couldn't get it to work.

oops.  you're right.

could've sworn this worked.  :-P  oh, well.

> While we're at it, from the RETRIEVE(COMMANDS) man-page:
> |1> SYNOPSIS
> |2>       retrieve
> |3>       [(into classname[archive_mode]|portal portal_name)|iportal portal_n
ame]
> |4>         [unique]
> |5>         ([attr_name1=]epxression1{,[attr_name-i=]expression-i})
> |6>         [from from_list]
> |7>         [where qual]
> |8>         [sort by attr_name-1[using operator]{,attr_name-j[using operator]
}]
> I would have expected:
> |3a>     [(into classname[archive_mode])|(portal portal_name)|(iportal portal
_name)]
> and
> |5a>       "("[attr_name1=]epxression1{,[attr_name-i=]expression-i}")"

yup.  though with everything, as you say, properly boldfaced so that
the parens aren't part of the actual syntax.  thanks.

[range variables]
> I'll accept that. So I guess this means the form without the "from" clause is
> just a shorthand for that with the clause, when there is only a single variab
le(?)
> being considered ?

not quite.  the form without the "from" clause is a shorthand for
that with the "from" clause, when there is only a single range variable
*for a given class* and you are willing to let that range variable have
the same name as the class :-)  it's just a handy default..
--
  Paul M. Aoki  |  CS Div., Dept. of EECS, UCB  |  [email-masked]
                |  Berkeley, CA 94720           |  ...!uunet!ucbvax!aoki